## org.codehaus.groovy.grails.web.mapping
Class AbstractUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo

All Implemented Interfaces:
  UrlMappingInfo

Direct Known Subclasses:
  DefaultUrlMappingInfo, ForwardUrlMappingInfo

    public abstract class AbstractUrlMappingInfo

extends Object
implements UrlMappingInfo

Abstract super class providing pass functionality for configuring a UrlMappingInfo

Since:
  1.2
Author:
  Graeme Rocher

Field Summary
`protected Map` `params`

Constructor Summary
`AbstractUrlMappingInfo()`

Method Summary
`void` `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
`protected String` `evaluateNameForValue(Object value)`
`protected String` `evaluateNameForValue(Object value, GrailsWebRequest webRequest)`
`protected void` `populateParamsForMapping(GrailsWebRequest webRequest)` Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.mapping.UrlMappingInfo
`getActionName, getControllerName, getId, getParameters, getURI, getViewName, isParsingRequest`

Field Detail

### params

    protected Map params

Constructor Detail

### AbstractUrlMappingInfo

    public AbstractUrlMappingInfo()

Method Detail

### configure

    public void configure(GrailsWebRequest webRequest)

  Description copied from interface: `UrlMappingInfo`
  Configure this UrlMappingInfo the for the given GrailsWebRequest

  Specified by:
    `configure` in interface `UrlMappingInfo`
  Parameters:
    `webRequest` - The GrailsWebRequest instance

### populateParamsForMapping

    protected void populateParamsForMapping(GrailsWebRequest webRequest)

  Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest

  Parameters:
    `webRequest` - The Map instance
  See Also:
    `GrailsWebRequest`

### evaluateNameForValue

    protected String evaluateNameForValue(Object value)

### evaluateNameForValue

    protected String evaluateNameForValue(Object value,
                                          GrailsWebRequest webRequest)

Copyright (c) 2005-2009 The Grails project